- name: Ops - Section CMAU - Sum of Ops Section SMAU
  base_path: "/handbook/product/performance-indicators/"
  definition: A sum of all SMAUs across the five stages in the Ops Section (Verify,
    Package, Release, Configure & Monitor)
  target: 1.67M by End of FY22-Q2
  org: Ops Section
  section: ops
  public: true
  product_analytics_type: Both
  pi_type: Section CMAU
  is_primary: true
  is_key: false
  metric_name: ci_pipelines, incident_management_total_unique_counts_monthly, deployments, packages, Managed Terraform State
  sisense_data:
    chart: 9982133
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10138940
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 10224262
    dashboard: 758607
    embed: v2
  health:
    level: 3
    reasons:
    - Reset Q2 goal to increase above current trend-line at 2.5% per month.
  lessons:
    learned:
    - Insight - Trend line is more linear than we would hope especially with more stage contributions coming on-line.
    - Improvement - Focus on awareness and adoption amongst Release, Package, Configure and Monitor
  implementation:
    status: Complete
    reasons:
    - No updates
  funnel: https://about.gitlab.com/direction/ops/#user-adoption-journey
  urls:
  - https://app.periscopedata.com/app/gitlab/781120/Ops-Section-Dashboard
  - https://docs.google.com/spreadsheets/d/1U4nHovtwqqf9hW4X1b-8eH3l2rAUVWviF7VojKpCiLc/edit#gid=0

- name: Ops - Section SpU - Ops Section Contribution to Stages Per User
  base_path: "/handbook/product/performance-indicators/"
  definition: In order to get a sense of the increase in overall stages per user attributed to the Ops Section stages we divide Section CMAU / Overall UMAU. This is analagous to Product-wide KPIs of CMAU and SMAU and helps us visualize the relative dispersion of the completeness of adoption across stages. The nuber is not a percent - but is the actual stages count from the overall stages per user that was provided by Ops Section stages.
  org: Ops Section
  section: ops
  public: true
  product_analytics_type: Both
  target: 0.47 end of FY22Q2
  is_primary: true
  is_key: false
  sisense_data:
    chart: 10645594
    dashboard: 781120
    embed: v2
  health:
    level: 3
    reasons:
      - Reset for Q2 Target. 
  lessons:
    learned:
      - Insight - Some increase as stage adoption has increased primarily in Verify
  implementation:
    status: Complete
    reasons:
      - None
  urls:
  - https://app.periscopedata.com/app/gitlab/781120/Ops-Section-Dashboard
  
- name: Verify:Pipeline Execution - GMAU, SMAU - Unique users triggering pipelines
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of unique users triggering pipelines in the last 28
    days because CI is the foundation for several downstream product areas, and improving
    SMAU for people using pipelines is important to help with discovery of these further
    features.
  target:  Our projected unique users triggering pipelines by end of FY22-Q2 is 1.32M, so we are going to target just above that at 1.35M unique users triggering pipelines. 
  org: Ops Section
  section: ops
  stage: verify
  group: continuous_integration
  public: true
  product_analytics_type: Both
  pi_type: SMAU, GMAU
  is_primary: true
  is_key: false
  funnel: 
  health:
    level: 3
    reasons:
      - We need to investigate if there is an artificial inflation of Verify MAU with users triggering pipeline, which was discovered in [gitlab#331959](https://gitlab.com/gitlab-org/gitlab/-/issues/331959#note_599461130). In merge request pipelines when an  MR is first created or its content changes (on git push) we attempt to create a pipeline for it. Depending on the .gitlab-ci.yml configs we may or may not have a pipeline in the end. For the bug, we should not have any Verify MAU added with these actions. 
  implementation:
    status: Complete
    reasons:
    - Improvement - We have created the Runner funnel [issue](https://gitlab.com/gitlab-data/analytics/-/issues/9004) that will feed into the overall Verify Funnel. 
    - Insight - We have a [Verify Funnel](https://app.periscopedata.com/app/gitlab/538594/Actions-Per-Month-Verify-Stage-Dashboard?widget=11979977&udv=0) view available for the current month, as well as a [Drop off and overtime Funnel view](https://app.periscopedata.com/app/gitlab/538594/Actions-Per-Month-Verify-Stage-Dashboard?widget=11978192&udv=0). When you hover over you can see the percent drop-offs in each widget. For the month of May, we can see that the SCM MAU and Verify MAU gap has decreased slightly as a result of the increase in MAU in Verify. The dropoff is now 55% instead of 57%. Pipeline Authoring MAU has also increased significantly closing the gap another 0.8% from last month between Verify MAU. Although, we have not seen an improvement in Testing MAU due to an error in the data reporting, which should be getting resolved in 14.1. 
  lessons:
    learned: 
    - Insight - In May 2021, we increased Verify MAU by 40K, of which 13K of those users came from our Paid MAU (30% SaaS/70% Self-Managed), and around 27K users came from non-Paid MAU (30% SaaS/70% Self-Managed). This growth in users heavily leaning on Self-managed instances leading me to believe this growth is not correlated with abuse or new user SaaS adoption.  
    - Insight - In May 2021, the Data team completed the [Verify SMAU Namespace retention Dashboard](https://app.periscopedata.com/app/gitlab/781120/Ops-Section-Dashboard?widget=11767828&udv=0), which gives us a look at the Namespace rentention for SaaS only users. 
    - Insight - In May 2021, we re-stablized on the self-managed business with an increase of the [expanding instances (by 12%), while new instances are slightly increasing (by 5%) and shrinking instances are decreasing slightly (by 7%)](https://app.periscopedata.com/app/gitlab/538594/Actions-Per-Month-Verify-Stage-Dashboard?widget=11356741&udv=0) indicating our self-managed instances are increasing this month. This is in support of the [85% retention rate](https://app.periscopedata.com/app/gitlab/538594/Actions-Per-Month-Verify-Stage-Dashboard?widget=11354209&udv=0) indicated in May. 
  metric_name: ci_pipelines
  sisense_data:
    chart: 10039276
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10040188
    dashboard: 758607
    embed: v2

- name: Verify:Pipeline Execution - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 2
    reasons:
    - Insight - In July, we exceeded the budget by 8 hours (2 hours less than June), which can be attributed to `GET /api/projects/:id/jobs/:job_id/trace` and the improvements made to reduce latency related to `POST /api/projects/:id/pipeline` as well as `Projects::JobsController` end points.
    - July availability improved from 98.60% to 98.80%, +.20% 
    - Insight - In our Sentry Bug tracking, we have seen continued issues around some API end points and will continue making improvements
     - Improvement - We have a spike via [gitlab#331656](https://gitlab.com/gitlab-org/gitlab/-/issues/331565) in 14.3 that will help us optimize these queries further once we reduce the load on them. 
    - Improvement - We have sceduled [gitlab#276192](https://gitlab.com/gitlab-org/gitlab/-/issues/276192) for 14.2 which will add build log size limits helping to mitigate errors with large log sizes. 
    - Improvement - Lastly, we have noticed several endpoints related to other groups and will work to get those reassigned in [gitlab#334556](https://gitlab.com/gitlab-org/gitlab/-/issues/334556)
  sisense_data:
    chart: 12190829
    dashboard: 892433
    embed: v2
  sisense_data_secondary:
    chart: 12190831
    dashboard: 892433

    embed: v2
- name: Verify:Pipeline Authoring - GMAU - Number of unique users interacting with gitlab-ci.yml file
  base_path: "/handbook/product/performance-indicators/"
  definition: Count the number of users that are pushing MRs to gitlab-ci.yml files. This indicates on-going usage of pipeline authoring by continually adjusting pipeline configuration.
  target: The FY22-Q2 target is 250,000 unique users interacting with the gitlab-ci.yml file on self-managed and SaaS. 
  org: Ops Section
  section: ops
  stage: verify
  group: pipeline_authoring
  public: true
  product_analytics_type: Both
  pi_type: GMAU
  implementation_status: Instrument tracking
  is_primary: true
  is_key: false
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/verify/continuous-integration/#usage-funnel
  health:
    level: 3
    reasons:
    - Based on last quarter growth and growing number of users that are using the pipeline editor
  implementation:
    status: Implementation
    reasons:
    - Insight - Numbers keep growing, which aligns with the sentiment we receive from our users regarding the pipeline editor. The editor came out early this year and had several feature improvements. As a result, I expect this number to keep growing over the next quarter.  
  lessons:
    learned: 
    - Improvement - We've prepopulated the pipeline editor with a [three stage template](https://gitlab.com/gitlab-org/gitlab/-/issues/300501) to enable a higher quality experience when interacting with the editor as a new user and are wrapping up the work on the [Branch selector](https://gitlab.com/gitlab-org/gitlab/-/issues/276906) to allow users to work with the pipeline editor from any non-master branch. 
  metric_name: redis_hll_counters.pipeline_authoring.o_pipeline_authoring_unique_users_committing_ciconfigfile_monthly
  sisense_data:
    chart: 11541508
    dashboard: 785953
    embed: v2
  sisense_data_secondary:
    chart: 11619967
    dashboard: 785953
    embed: v2

- name: Verify:Pipeline Authoring - Other - % first green project
  base_path: "/handbook/product/performance-indicators/"
  definition: Count of projects that have the first passing pipeline in the 24 hours and the 28 days after project creation as a percentage of all new CI projects that created in the time period. This ratio helps us understand how effectively we are highlighting and enabling the GitLab CI/CD capabilities to new project creators. Our desire is an increasing percentage of users complete in the first 24 hours.
  target: We'd expect this to increase 1% each month for both metrics (24hr and 28 days).
  org: Ops Section
  section: ops
  stage: verify
  group: pipeline authoring
  public: true
  product_analytics_type: SaaS
  pi_type: Other
  implementation_status: Dashboard
  is_primary: false
  is_key: false
  funnel: 
  health:
    level: 3
    reasons:
      - We'd like to improve our onboarding experience since we know that our convertion rate multiplied if users are adopting CI.
  implementation:
    status: Target
    reasons: 
    - The data currently in Sisense is only instrumented for both .com and not self-managed.
  lessons:
    learned: 
    - Insight - This metric might be a bit misleading due to cryptocurrency miners, we should try to improve the way we measure green pipeline so we could separate users from abusers
  metric_name: green_project
  sisense_data:
    chart: 11645941
    dashboard: 785953
    embed: v2
  sisense_data_secondary:
    chart: 10482007
    dashboard: 785953
    embed: v2

- name: Verify, Verify:Pipeline Authoring - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes in rolling 28 days. 
  org: Product
  public: true
  is_key: false
  health:
    level: 2
    reasons:
    - This is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-pipeline_authoring/stage-groups-group-dashboard-verify-pipeline-authoring)
    - Improvement - Pipeline Authoring is completing investigation into the 3 hours over budget in [infra#1142](https://gitlab.com/gitlab-com/gl-infra/scalability/-/issues/1142).  
    - Insight - We've noticed that the error budget remains similar to last month (less then 3 hr). This is atrributed to errors and speed issues in GET /api/projects/:id/ci/lint and POST /api/ci/lint. The investigation issue will uncover next steps and actions for resolution. 
  sisense_data:
    chart: 12190828
    dashboard: 892433
    embed: v2
  sisense_data_secondary:
    chart: 12190833
    dashboard: 892433
    embed: v2

- name: Verify:Runner - GitLab SaaS Count of Shared Runners not Disabled on CI enabled projects
  base_path: "/handbook/product/performance-indicators/"
  definition: This chart displays the GitLab SaaS Runners conversion funnel for projects with a CI pipeline. You should review this funnel in concert with the Verify Funnel. Our point of view is that for GitLab SaaS, Verify monthly active users (MAU) on GitLab.com represents the total addressable universe of users that may consume CI minutes on GitLab SaaS Shared Runners. So, on the one hand, we will continue to develop actionable insights to help reduce the MAU drop-off from SCM MAU to Verify MAU. As depicted in this funnel graph, the other side of the coin is to investigate the use and adoption of GitLab SaaS Shared Runners and as such, the impact to Verify MAU.
  target: None defined at this time.
  org: Ops Section
  section: ops
  stage: verify
  group: runner
  public: true
  product_analytics_type: Both
  pi_type: Other
  implementation_status: Dashboard
  is_primary: false
  is_key: false
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/verify/runner/#performance-indicator
  health:
    level: 2
    reasons:
      - The chart is still a work in progress.
  implementation:
    status: Target
  lessons:
    learned:
      - Insights - In the current chart, you will first notice the drop-off in users who create projects with CI pipelines as measured from the total user count. The starting user count = 191,158, with 63% of those users creating projects for a total of 121,393 projects created. Projects created that include CI pipelines are significantly lower at 13,076 or approximately 7%. The count of projects created including CI pipelines with Shared Runners not disabled is close to the count of projects created with CI pipelines, and comes in at 6%. Based on this first data set, we can posit that we can help increase Verify MAU by investing in the Shared Runners' capabilities, performance, and reliability on .com.
      - Improvement - Finalize the funnel chart visualization and iterate on logic as needed for the next PI review.
  metric_name: gitlab-saas-shared-runners-funnel
  sisense_data:
    chart: 11875974
    dashboard: 874032
    embed: v2

- name: Verify:Runner - Other - GitLab SaaS customers use of GitLab SaaS vs. self-hosted Runner Minutes (Premium, Ultimate)
  base_path: "/handbook/product/performance-indicators/"
  definition: This chart displays the split between CI minutes executed on GitLab SaaS Shared Runners compared to CI minutes on self-hosted runners for GitLab SaaS customers in Ultimate and Premium tiers.
  target: None defined at this time.
  org: Ops Section
  section: ops
  stage: verify
  group: runner
  public: true
  product_analytics_type: Both
  pi_type: Other
  implementation_status: Dashboard
  is_primary: false
  is_key: false
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/verify/runner/#performance-indicator
  health:
    level: 3
    reasons:
      - Metric is implemented and dashboards are created in Sisense. 
  implementation:
    status: Target
  lessons:
    learned:
      - Insights - 81% of the total CI minutes were on self-hosted runners, a one percentage point decline from May 2021.
      - Insights - Preliminary feedback from customer indicates the following as potentially significant factors affecting the use of self-hosted vs GitLab SaaS Runners. The first is that customers choose not to use GitLab SaaS Shared Runners due to the consumption of CI minutes not being easy to track. Therefore, it is impossible to perform internal chargebacks efficiently. Secondly, customers choose to self-host runners since GitLab.com Shared Runners are unreliable. The third, is that some CI jobs require access to resources within the customer's internal network.
      - Improvement - Our goal is to improve the reliability of GitLab SaaS Shared Runners as measured by incidents impacting the CI Runners SLO Apdex by the end of Q2. It is likely then that it will take consistently reliable performance through Q3 and Q4 FY22 to change customers' perspectives.
  metric_name: shared-runner-vs-self-managed
  sisense_data:
    chart: 11518294
    dashboard: 800667
    embed: v2

- name: Verify:Runner - Other -  GitLab SaaS customers use of GitLab SaaS vs. self-hosted Runner Minutes (Free)
  base_path: "/handbook/product/performance-indicators/"
  definition: This chart displays the split between CI minutes executed on GitLab SaaS Shared Runners compared to CI minutes on self-hosted runners for GitLab SaaS customers in the Free tier.
  target: None defined at this time.
  section: ops
  stage: verify
  group: runner
  public: true
  product_analytics_type: Both
  pi_type: Other
  implementation_status: Dashboard
  is_primary: false
  is_key: false
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/verify/runner/#performance-indicator
  health:
    level: 3
    reasons:
      - Metric is implemented and dashboards are created in Sisense.
  implementation:
    status: Target
  lessons:
    learned:
      - Insights - In June 2021, 59% of the total CI minutes were on self-hosted runners. This represents a 12% increase compared to May 2021.
  metric_name: shared-runner-vs-self-managed-free
  sisense_data:
    chart: 11610918
    dashboard: 800667
    embed: v2

- name: Verify:Runner - Other - Linux Shared (SaaS)
  base_path: "/handbook/product/performance-indicators/"
  definition: The count of CI minutes used per month on GitLab.com Linux Shared Runners with the Docker executor.
    These are CI minutes as defined by those pipelines that are executed on runner managers with the label shared-runners-manager-X.
    One of our strategic focus areas is increasing combined monthly active users (CMAU).
    Providing customers on GitLab SaaS, a performant, and full-featured build infrastructure supports that strategy.
    Therefore, we believe that measuring CI minutes usage by platform is a leading indicator of future performance.
    Also, there are several potential future investment areas for Linux Runners on GitLab SaaS, such as offering multiple virtual machine types.
    We must evaluate these investments with the strategic focus areas in mind.
  target: Growth rate of 5% monthly.
  org: Ops Section
  section: ops
  stage: verify
  group: runner
  public: true
  product_analytics_type: SaaS
  pi_type: Other
  implementation_status: Dashboard
  is_primary: false
  is_key: false
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/verify/runner/#performance-indicator
  health:
    level: 3
    reasons:
      - Metric is implemented and dashboards are created in Sisense. 
  implementation:
    status: Target
  lessons:
    learned:
      - Insights - The overall growth rate in June is lower than in May 2021, which we can attribute to normalized usage due to the impact of the efforts to reduce abuse by crypto miners.The overall growth rate in June is lower than in May 2021, which we can attribute to normalized usage due to the impact of the efforts to reduce abuse by crypto miners.
      - Insights - A closer look at the growth rates for the Premium and Ultimate plans shows positive usage growth month over month of 21% and 31%, respectively. We also see a 20% growth rate month over month in the CI minutes on self-hosted runners in the related metric.
      - Insights - There are a couple of hypotheses or insights that we can glean from the trends. The first is that organizations that are using GitLab are continuing to mature their DevOps practices. This, of course reinforces the value proposition of GitLab as the single DevOps platform. And as a result, we must continue to provide the feature, capabilities, and reliability that customers need in CI and Runners so that GitLab remains the DevOps platform of choice.
      - Insights - The second hypothesis is that if we provide customers on GitLab SaaS with a reliable and performant CI Runners solution, we can make a case for customers to transition more of their CI workloads to GitLab SaaS. By doing so, we further reduce the maintenance and overhead costs for customers related to operating their own runner fleet so that, again, long-term, GitLab continues to be the compelling DevOps platform that they choose to use in their organization.
      - Improvements - A critical goal for Q3 is to continue to improve the reliability and stability of the CI Runners on GitLab SaaS. This is one foundational element needed to convince customers in Premium and Ultimate to run applicable CI jobs on GitLab SaaS Shared Runners.
  metric_name: NA
  sisense_data:
    chart: 10644863
    dashboard: 800667
    embed: v2

- name: Verify:Runner - Other - Windows Shared Runners (SaaS) Minutes Used
  base_path: "/handbook/product/performance-indicators/"
  definition: The count of CI minutes used per month on GitLab.com Windows Shared Runners with the Shell executor.
    These are CI minutes as defined by those pipelines that are executed on runner managers with the label windows-shared-runners-manager-X.
    We must have a clear understanding of use and adoption to more effectively forecast the impact of future investments in GitLab SaaS Windows Runners on our strategic focus areas.
  target: Growth rate of 10% monthly.
  org: Ops Section
  section: ops
  stage: verify
  group: runner
  public: true
  product_analytics_type: SaaS
  pi_type: Other
  is_primary: false
  is_key: false
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/verify/runner/#performance-indicator
  health:
    level: 3
    reasons:
      - Metric is implemented and dashboards are created in Sisense.
  implementation:
    status: Target
  lessons:
    learned:
      - Insights - The overall growth rate in June, 291% compared to May, is attributed to abuse by crypto miners, a specific attack vector that has since been mitigated. In looking at the usage for the Premium and Ultimate tiers, the growth rates are 18% and -10% respectively.
      - Improvements - We need to build out additional reporting to more quickly and efficiently correlate the usage by customer.
  metric_name: NA
  sisense_data:
    chart: 10644788
    dashboard: 800667
    embed: v2

- name: Verify:Runner - Other - Total downloads of runner binaries and docker images per month
  base_path: "/handbook/product/performance-indicators/"
  definition: Count of downloads of runner binaries grouped by platform, gitlab-runner and gitlab-runner helper container images.
    Measuring runner binaries' downloads will provide insight into whether we are making the right investments in core runner features and capabilities by platform (operating system and computing architecture). The assumption is that if self-managed users continue to maintain and upgrade their GitLab Runner build infrastructure, this may suggest continued long-term use of GitLab as their DevOps platform.
  target: Target monthly growth rate of 3% given monthly trends to date.
  org: Ops Section
  section: ops
  stage: verify
  group: runner
  public: true
  product_analytics_type: SM
  pi_type: Group PPI
  is_primary: true
  is_key: false
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/verify/runner/#performance-indicator
  health:
    level: 0
    reasons:
      - Not instrumented
  implementation:
    status: Definition
    reasons:
      - We need to start collecting the AWS S3 bucket metrics and integrate them into the data warehouse. Issue for tracking is in the [Infra Project](https://gitlab.com/gitlab-com/gl-infra/infrastructure/-/issues/10591) pending scheduling.
  lessons:
    learned:
      - Insight -  Downloads of the gitlab-runner and the gitlab-runner helper container images continue to grow at an average rate of 3% monthly. The cumulative download count is now over 639M. The total downloads for June 2021 came in at 17.6M (gitlab-runner) and 8M (gitlab-runner helper).
  metric_name: NA

- name: Verify, Verify:Runner - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 1
    reasons:
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-runner/stage-groups-group-dashboard-verify-runner)
  lessons:
    learned:
      - Insights - For Runner, the error budget spend for June came in at 4.5 hours, a significant improvement compared to the previous months. The spend for the week ending July 2nd is 38.69 mins. These trends indicate that we are improving our service delivery capabilities. However, there continue to be times when there is service degradation. The overall rate of spend and loss of confidence by customers in the reliability of GitLab SaaS CI runners means that in Q3, we will continue to allocate at least 30% of the runner team's engineering budget to work on improving our deployment capabilities and CI Runners on .com stability and performance.
  sisense_data:
    chart: 12190827
    dashboard: 892433
    embed: v2
  sisense_data_secondary:
    chart: 12190832
    dashboard: 892433
    embed: v2

- name: Verify:Runner - Other - CI Runners SLO Trends
  base_path: "/handbook/product/performance-indicators/"
  definition: This chart displays the SLO attainment trends for GitLab SaaS CI Runners. The error-rate and Apdex score are the two metrics (Service Level Indicators) used to calculate the SLO attainment metric.
  target: 99.95% SLO attainment monthly.
  section: ops
  stage: verify
  group: runner
  public: true
  product_analytics_type: Both
  pi_type: Other
  implementation_status:
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
      - Metric is implemented in Grafana. However there is [work](https://gitlab.com/gitlab-data/analytics/-/issues/8639) in progress to add the Grafana data to the data warehouse in order to create the corresponding Sisense charts. The Current [Error Budget Runner dashboard](https://dashboards.gitlab.net/d/stage-groups-runner/stage-groups-group-dashboard-verify-runner) is the SSOT for tracking. The [CI Runners SLO trends](https://dashboards.gitlab.com/d/general-slas/general-slas?from=1609459200000&orgId=1&to=now&viewPanel=23) chart in Grafana is the SSOT for the CI Runners SLO.
  implementation:
    status: Target
  lessons:
    learned:
      - Insights - - Insights - The average SLO attained this week is 99.30% which is down from the previous week of 99.48%. CI Runners reliability has improved compared to Feb 2021 to mid-May 2021, but there are still periods where the rate of error budget spend increases. We can see the resulting drop in SLO attaintment when this occurs. We will continue to prioritize our investment in CI Runners' scalability and allocate engineering resources in Q3 to support achieving SLO goals consistently and improve customer's perceptions regarding service reliability. This investment and focus are critical as CI Runner performance, and reliability directly impacts our SaaS first strategy for customers using GitLab SaaS CI.
      - Improvement - Next up is a [change](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/27880) in the handling of Docker image pull so that it doesn't result in the generation of a system failure error.
      - Improvement - The goal for the second half of this fiscal year is to achieve and maintain a weekly average SLO score of 99.95%.
  metric_name: gitlab-saas-ci-runners-slo-trends
  sisense_data:
    chart:
    dashboard:
    embed: v2

- name: Verify:Testing - Paid GMAU - Count of active paid testing feature users
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of unique users who have interacted with a paid testing
    feature in the last 28 days.
  target: FY22-Q1 target is 17,500 unique paid testing users, as of 2021-05-17 we have attained ~33% of the target. Our FY22-Q2 target is 5,000. 
  org: Ops Section
  section: ops
  stage: verify
  group: testing
  public: true
  product_analytics_type: Both
  pi_type: Paid GMAU
  is_primary: true
  is_key: false
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/verify/testing/#performance-indicators
  health:
    level: 2
    reasons:
      - The fix for the bug incorrectly counting Code Quality Full Report visitors resulted in a steep drop in Q1 but is stabilizing.
  implementation:
    status: Complete
    reasons:
    - Target will be adjusted to remove Code Quality related metrics in Q2. A new target has been set based on how we believe we can grow engagement with non CQ related features that contribute to PGMAU.
  lessons:
    learned: 
    - Insights - In May 2021, we had about 1.5K users on self-managed and 1.6K users on SaaS. 
    - Insights - Funnel Analysis -> We see that only about 10% of pipelines ran include an `artifact:reports:junit` [(SaaS data)](https://app.periscopedata.com/app/gitlab/633395/Testing-Category-Performance-Indicators?widget=10652246&udv=992321). A customer survey showed that most users just do not know about the testing features available to them. We will focus on awareness using non-engineering work to drive further adoption.
  metric_name: NA
  sisense_data:
    chart: 10933307
    dashboard: 633395
    embed: v2

- name: Verify, Verify:Testing - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 3
    reasons:
    - Insight - In June, we met our budget and availability improved to 99.98% from 99.97% previously.
    - Insight - The Testing group did not create the initial dashboard and has taken on additional functionality since its creation. As such an audit [gitlab#331163](https://gitlab.com/gitlab-org/gitlab/-/issues/331163) of the controllers monitored is being completed in the 14.1 milestone.
    - Insight - The team has [documented a process](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/85067) for review of the dashboard and triaging new issues to maintain reliability of Testing related services.
  sisense_data:
    chart: 12190857
    dashboard: 892433
    embed: v2
  sisense_data_secondary:
    chart: 12190860
    dashboard: 892433
    embed: v2

- name: Package:Package - SMAU, GMAU - Count of users publishing packages
  base_path: "/handbook/product/performance-indicators/"
  definition: The maximum distinct count of users who published a package to the Package Registry. In the future, this value will the distinct count of users across all Package AMAUs.
  target:  The target for FY22-Q2 is 54,000 unique users publishing packages across SaaS and self-managed combined. This is an increase from the original target of 50,000 based on solid growth in May and in weekly user growth for June. 
  org: Ops Section
  section: ops
  stage: package
  group: package
  public: true
  product_analytics_type: Both
  pi_type: SMAU, GMAU
  is_primary: true
  is_key: false
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/package/#usage-funnels
     - [GitLab-#328609](https://gitlab.com/gitlab-org/gitlab/-/issues/328609) defines more relevant funnel metrics for Package stage.
     - We've added weekly level data to the Package adoption and growth dashboard. This data will be helpful in understanding the funnel. 
  health:
    level: 3
    reasons:
      - We hit the May target of 46k active users of the Package Registry.
  implementation:
    status: Complete
    reasons:
      - Generic package usage is not collecting data for usage ping. [GitLab-#331455](https://gitlab.com/gitlab-org/gitlab/-/issues/331455) is scheduled for 14.1 and will address this.
  lessons:
    learned: 
    - Insights - We hit the May target of 46k users per month! 
    - Insights - Growth was split evenly between SaaS and Self-Managed. 
    - Insights - From a funnel perspective, we saw significant growth in the packages pulled using a deploy token or by a Guest. Both are signs that the Package Registry is being integrated into our customers production workflows. The number of packages pulled using a Deploy token grew from 3mm to 4mm April to May 2021. The number of packages pulled by Guest users grew from 2mm to 3mm during the same time period. 
    - Improvements - In 14.1, we are investing in the container registry cleanup policies which will not have an impact on this metric. 
    - Improvements - Based on the above, in 14.2 we plan to resolve some known issues with deploy tokens. [GitLab-#285495](https://gitlab.com/gitlab-org/gitlab/-/issues/285495) will resolve an issue in which group deploy tokens don't work with sub-groups. [GitLab-#332028](https://gitlab.com/gitlab-org/gitlab/-/issues/332028) will resolve an issue in which deploy tokens do not work when a project or group has been updated from private to public or private to internal. We expect this will help drive retention. 
  metric_name: user_packages_total_unique_counts_monthly
  sisense_data:
    chart: 10081161
    dashboard: 758607
    embed: v2
  
- name: Package:Package - Weekly count of users publishing packages
  base_path: "/handbook/product/performance-indicators/"
  definition: The maximum distinct count of users who published a package to the Package Registry in a given week.
  target:  The target for FY22-Q2 is 20,000 unique users publishing packages across SaaS and self-managed combined. 
  org: Ops Section
  section: ops
  stage: package
  group: package
  public: true
  product_analytics_type: Both
  pi_type: Other
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
      - We are seeing steady growth by week. 
  implementation:
    status: Complete
    reasons:
      - Generic package usage is not collecting data for usage ping. [GitLab-#331455](https://gitlab.com/gitlab-org/gitlab/-/issues/331455) is scheduled for 14.1 and will address this.
  lessons:
    learned: 
    - Insights - npm has been growing faster than any other format. Weekly we've been growing the number of users by 2% per week. 
    - Insights - In 14.0 we released a group endpoint for PyPI. Since it's release three weeks ago, the weekly number of users has grown 11% from 2250 to 2600. On GitLab.com the number of PyPI packages being pulled grew by 50%. 
    - Insights - Although the user base for the Composer repository is smaller, we have seen solid growth in the number of packages being published and installed. A good sign that some of our investments in 13.12 and 14.0 paid off. 
    - Improvements - In 14.2 we have several improvements planned for npm packages. [GitLab-#275992](https://gitlab.com/gitlab-org/gitlab/-/issues/275992) will give developers the ability to run `npm bin`, which is a requirement for working with Yarn. [GitLab-#37364](https://gitlab.com/gitlab-org/gitlab/-/issues/37364) will resolve a bug that has been impacting customers. Finally, [GitLab-#243780](https://gitlab.com/gitlab-org/gitlab/-/issues/243780) will investigate how to improve the performance of the various npm endpoints. 
  metric_name: user_packages_total_unique_counts_monthly
  sisense_data:
    chart: 11795222
    dashboard: 805350
    embed: v2

- name: Package:Package - Other - Packages published using the Package Registry
  base_path: "/handbook/product/performance-indicators/"
  definition: A count of events in which a package is published to the Package Registry.
  target: The FY22 Q2 target (July 31, 2021) is 3mm packages published per month amongst pinging instances.
  org: Ops Section
  section: ops
  stage: package
  group: package
  public: true
  product_analytics_type: SaaS
  pi_type: Other
  is_primary: false
  is_key: false
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/package/#usage-funnels
  health:
    level: 3
    reasons:
      - We are seeing steady growth in the number of packages published to the registry.
  implementation:
    status: Target
    reasons:
      - As of June 1st 2021, we updated this performance indicator to use usage ping data, which includes GitLab.com, Self-Managed, and estimated uplift from Self-Managed. 
  lessons:
    learned: 
    - Insights - When you try to install an npm package and it's not found in your GitLab registry, we'll look for and, if it's available, download the package from the npm public registry. On GitLab.com we see about thirty thousands events per day for this action, which is about 30% of the number of packages pulled from the GitLab.com registry. 
    -  Improvement - [GitLab-#233413](https://gitlab.com/gitlab-org/gitlab/-/issues/233413) will add the same functionality for Python packages.
  metric_name: NA
  sisense_data:
    chart: 10880087
    dashboard: 805350
    embed: v2

- name: Package:Package - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  implementation:
    status: Instrumentation
    reasons:
      - For the Package Registry, we currently only consider the error rate and do not have package specific apdex thresholds. [GitLab-#333974](https://gitlab.com/gitlab-org/gitlab/-/issues/333974)
      - We've improved this performance indicator by adding Terraform, RubyGems, Helm, Debian, and Generic packages to the error budget and dashboard. 
  health:
    level: 2
    reasons:
      - We are currently 11 minutes over our remaining 28d budget, which is an improvement of 1 minute since the last weekly update.
  lessons:
    learned: 
      - Insights - The group endpoint for the container registry slowest response time, but until we have the metadata database, there is little we can do to address this. In the past 7 days, 99.4% of requests have been outside the tolerated threshold. 
      - Insights - [GitLab-#331768](https://gitlab.com/gitlab-org/gitlab/-/issues/331768) resolved an issue with the Composer repository which was the biggest contributor to the Package error budget.
      - Insights - It's been several weeks since the performance improvements for Maven. All Maven endpoints have remained within the satisfied/tolerated thresholds of .5 and 1 second. 
      - Improvement - [GitLab-#243780](https://gitlab.com/gitlab-org/gitlab/-/issues/243780) is scheduled for 14.2 and will investigate slow p95 latency scores for npm. In the past 7 days, 2.4% of requests have been above the tolerated apdex threshold. 
      - Improvement - [GitLab-333166](https://gitlab.com/gitlab-org/gitlab/-/issues/333166) has been added to 14.3 and will investigate slow p95 latency scores for the Composer endpoint. Although the frequency of these requests occur much less often than npm and NuGet, I'd like to prioritize this issue sooner since 45% of requests our outside of the tolerated threshold. 
      - Improvement - [GitLab-#334570](https://gitlab.com/gitlab-org/gitlab/-/issues/334570) is scheduled for 14.4 and will investigate latency issues with the NuGet metadata endpoint. In the past seven days, .6% of requests have been outside the tolerated apdex threshold. 
      - Improvement - [GitLab-#334571](https://gitlab.com/gitlab-org/gitlab/-/issues/334571) is scheduled for 14.5 and will investigate latency issues with the PyPI list packages endpoint. In the past 7 days, .24% of requests have been outside the tolerated threshold.
  sisense_data:
    chart: 12190882
    dashboard: 892437
    embed: v2
  sisense_data_secondary:
    chart: 12190885
    dashboard: 892437
    embed: v2
      
- name: Release:Release - SMAU - Count of users triggering deployments using GitLab
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of unique users triggering deployments with Gitlab in the last 28 days.
  target: The target for FY22-Q2 is 360,000 for unique users triggering deployments
  org: Ops Section
  section: ops
  stage: release
  group: release
  public: true
  product_analytics_type: Both
  pi_type: SMAU, GMAU
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - 10% growth between May and April
  implementation:
    status: Complete
    reasons:
  metric_name: deployments
  sisense_data:
    chart: 10039289
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10082010
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 10833391
    dashboard: 777879
    embed: v2
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/release/#release-smau--release-management--progressive-delivery-gmau-usage-funnel
  urls:
  - https://app.periscopedata.com/app/gitlab/777879/Release-Stage-Dashboard
  lessons:
    learned: 
      - Improvements - Deployment frequency is available at the API, project, and group level. Lead time for Merge Request is available at the API, and Project level and will be available at the Group level after 14.0.
      - Talking to enterprise customers, it is becoming more clear that GitLab doesn't have the release orchestration features needed to coordinate complex releases. 
      - Customers are also interested in better management of environments

- name: Release:Release - AMAU - Unique users creating Releases
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of users creating releases in the last 28 days.
  target: 50,000 for FY22-Q2
  org: Ops Section
  section: ops
  stage: release
  group: release
  public: true
  product_analytics_type: Both
  pi_type: AMAU
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Met last quarter's very ambitious goal of increasing unique users by 30%
  implementation:
    status: Complete
    reasons:
  metric_name: release_management
  sisense_data:
    chart: 10041220
    dashboard: 661492
    embed: v2
  lessons:
    learned:
      - We should break this metric down by tier to see what is driving the change.
      - We have interest in [connecting a Release to the pipeline](https://gitlab.com/gitlab-org/gitlab/-/issues/332897). This will make Releases even more useful.
  
- name: Release:Release - AMAU - Unique users using Environments
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of unique users that have at least one project on their environment dashboard in the last 28 days.
  target: TBD
  org: Ops Section
  section: ops
  stage: release
  group: release
  category: release_orchestration
  public: true
  product_analytics_type: Both
  pi_type: AMAU
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
      - Steady, no goals set yet
  metric_name: Environment Instances
  sisense_data:
    chart: 11528925
    dashboard: 638154
    embed: v2
  lessons:
    learned:
      - This will be a focus area going forward.

- name: Release:Release - AMAU - Unique users of Pages
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of unique users that have a Pages project in the last 28 days.
  target: TBD
  org: Ops Section
  section: ops
  stage: release
  group: release
  category: pages
  public: true
  product_analytics_type: Both
  pi_type: AMAU
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Usage is steady
  implementation:
    status: Problematic
    reasons:
    - We need to update the chart to use the official GitLab snippet
    - The chart shown now is custom domains, we need to see actually unique users deploying pages
  metric_name: pages
  sisense_data:
    chart: 10598857
    dashboard: 777879
    embed: v2
  lessons:
    learned:
      - We completed the big Pages migration. We will deprecate the legacy storage for Pages in 14.0, it will be interesting to see if this impacts usage.

- name: Release:Release - AMAU - Unique users triggering feature flags
    feature flag toggles
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of users triggering feature flag toggles with Gitlab
    in the last 28 days.
  target: FY22Q1 increase of 10% in Unique users triggering feature flags.
  org: Ops Section
  section: ops
  stage: release
  group: release
  category: feature_flags
  public: true
  product_analytics_type: SaaS
  pi_type: AMAU
  implementation_status: Feature Flag Toggles via UI measured in Snowplow
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - May numbers dropped off
  instrumentation:
    status: Problematic
    reasons:
    - Improvements - Created the instrumentation [Count UI Feature Flag Toggles - Snowplow](https://gitlab.com/gitlab-org/gitlab/-/issues/31970).
    - Improvements - Create the instrumentation [Count API Feature Flag Toggles -
      Snowplow](https://gitlab.com/gitlab-org/gitlab/-/issues/233872)
    - Improvements - [Add Usage Ping data for UI toggles](https://gitlab.com/gitlab-org/gitlab/-/issues/250672) and for [API toggles](https://gitlab.com/gitlab-org/gitlab/-/issues/259614)
  metric_name: feature_flags 
  sisense_data:
    chart: 9654935
    dashboard: 638154
    embed: v2

- name: Release:Release - AMAU - Unique users triggering review apps
    pipelines that created a review app
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of unique users triggering pipelines which created a
    review app with Gitlab in the last 28 days.
  target: TBD
  org: Ops Section
  section: ops
  stage: release
  group: release
  category: review_apps
  public: true
  product_analytics_type: Both
  pi_type: AMAU
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - Continues to grow, but this chart is not believable.
  implementation:
    status: Problematic
    reasons:
    - Improvements needed, use official GitLab snippet
  metric_name: review_apps  
  sisense_data:
    chart: 10279590
    dashboard: 777879
    embed: v2
  lessons:
    learned:
      - The line continues to be flat. We should look into how we are building this chart.

- name: Release:Release - AMAU - Count of unique users using canary or incremental rollouts
    users using Canary or Incremental Rollout
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of users using advanced deployments, namely, canary
    and incremental rollouts with Gitlab in the last 28 days.
  target: TBD
  org: Ops Section
  section: ops
  stage: release
  group: release
  category: advanced_deployments
  public: true
  product_analytics_type: SaaS
  pi_type: AMAU
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - Seemingly low usage. We don't have a strategy yet on how to drive improvements.
  implementation:
    status: SaaS only - need to create a usage ping
    reasons:
    - Improvements - Create the instrumentation [Instrument AMAU of Canary Rollouts](https://gitlab.com/gitlab-org/gitlab/-/issues/233899)
    - Improvements - Create the instrumentation [Instrument AMAU of Incremental Rollouts](https://gitlab.com/gitlab-org/gitlab/-/issues/233903)
  metric_name: advanced_deployments
  sisense_data:
    chart: 10279628
    dashboard: 777879
    embed: v2

- name: Release:Release - AMAU - Count of users deploying to AWS
    AutoDevOps or Ci templates to deploy to AWS
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of users using using AutoDevOps or Ci templates to deploy
    to AWS based on  cloud_service:$CI_CLUSTER_CLOUD_SERVICE_TYPE in the last 28 days.
  target: TBD
  org: Ops Section
  section: ops
  stage: release
  group: release
  public: true
  product_analytics_type: SaaS
  pi_type: AMAU
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Snowplow data instrumented
  instrumentation:
    status: Incomplete
    reasons:
    - Added instrumentation for users deploying to AWS using Auto DevOps and for users using the cloud-deploy images.
    - Improvements - Create the instrumentation [for usage ping data](https://gitlab.com/gitlab-org/gitlab/-/issues/259612)
  metric_name: Users deploying to AWS 
  sisense_data:
    chart: 10777662
    dashboard: 638154
    embed: v2
  sisense_data_secondary:
    chart: 9784842
    dashboard: 638154
    embed: v2
  lessons:
    learned:
      - AWS image usage continues to increase.
      - The jump in ECS target maintained.

- name: Release:Release - Other - Count of users looking at DORA4 Analytics
  base_path: "/handbook/product/performance-indicators/"
  definition: Views on the DORA4 page
  target: TBD
  org: Ops Section
  section: ops
  stage: release
  group: release
  public: true
  product_analytics_type: SaaS
  pi_type: Other
  is_primary: false
  is_key: false
  health:
    level: 1
    reasons:
    - Usage is low and we are seeing a steady drop since the peak in January, but it is only for gitlab-org
  instrumentation:
    status: Incomplete
    reasons:
    - The chart is only for GitLab-org
    - We need to create instrumentation for this
  metric_name: N/A
  sisense_data:
    chart: 11048564
    dashboard: 777879
    embed: v2

- name: Release:Release - Other - Count of CLI creating releases
  base_path: "/handbook/product/performance-indicators/"
  definition: The count of create_release where release_cli is true
  target: TBD
  org: Ops Section
  section: ops
  stage: release
  group: release
  public: true
  product_analytics_type: SaaS
  pi_type: Other
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - We just created this chart
  instrumentation:
    status: SaaS is ready
    reasons:
    - We need to create a usage ping
  metric_name: N/A
  sisense_data:
    chart: 11739212
    dashboard: 777879
    embed: v2
  lessons:
    learned:
      - We have some numbers since mid May!

- name: Release:Release - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 1
    reasons:
    - 2021-06-19 - 99.57% Budget already spent
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-release/stage-groups-group-dashboard-release-release)
  sisense_data:
    chart: 12191016
    dashboard: 892446
    embed: v2
  sisense_data_secondary:
    chart: 12191018
    dashboard: 892446
    embed: v2

- name: Configure:Configure - SMAU, GMAU - MAU of GitLab Managed Terraform State
  base_path: "/handbook/product/performance-indicators/ops-section-performance-indicators/"
  definition: Monthly active users of GitLab Managed Terraform State
  target: The target for FY22-Q2 is 7000 monthly active users of GitLab Managed Terraform State
  target_name: redis_hll_counters.terraform.p_terraform_state_api_unique_users_monthly
  metric_name: redis_hll_counters.terraform.p_terraform_state_api_unique_users_monthly
  monthly_recorded_targets:
    "2021-04-30": 3000
  monthly_estimated_targets:
    "2021-07-30": 7000
    "2021-04-30": 5000
  org: Ops Section
  section: ops
  stage: configure
  group: configure
  public: true
  product_analytics_type: Both
  pi_type: SMAU, GMAU
  is_primary: true
  is_key: false
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/configure/#aarrr-for-infrastructure-as-code
  lessons:
    learned:
    - Insight - Self managed usage is very healthy. We plan [an up-sell feature to be developed](https://gitlab.com/groups/gitlab-org/-/epics/5979) as one of the first issues for our new frontend engineer. Nota bene, we don't have a design for it to drive adoption further on SaaS.
    - Insight - We saw a jump of MAU in all tiers in May. As self-managed instances lag behind SaaS by 3 monthy usually, these might be attributed to the release of the SMAU metric on 22th January.
    - Insight - Given the MoM growth, we will likely miss our quarterly target.
  health:
    level: 3
    reasons:
      - Healthy growth continues
  implementation:
    status: Complete
    reasons:
      - We have MAU based metrics.
  sisense_data:
    chart: 11146403
    dashboard: 677628
    embed: v2
  sisense_data_secondary:
    chart: 10915050
    dashboard: 511813
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/511813/Configure-team-business-metrics
  - https://app.periscopedata.com/app/gitlab/677628/Infrastructure-as-Code

- name: Configure:Configure - Adoption PI - Number of Gitlab Kubernetes Agent instances
  base_path: "/handbook/product/performance-indicators/ops-section-performance-indicators/"
  definition: A rolling count of the number of GitLab Kubernetes Agent instances in the last 28 days
  target: 100 by the end of Q2FY22
  monthly_recorded_targets:
    "2021-04-30": 33
    "2021-07-30": 33
  monthly_estimated_targets:
    "2021-07-30": 100
    "2021-04-30": 100
  org: Ops Section
  section: ops
  stage: configure
  group: configure
  public: true
  product_analytics_type: Both
  pi_type: AMAU
  is_primary: false
  is_key: false
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/configure/#aarrr-for-kubernetes-management
  lessons:
    learned:
    - Insight - Qualitative feedback shows that the direction was long awaited, but we still miss some features for mass adoption.
    - Insight - SaaS saw a jump from 7 to 22 counts between April and May. Given the legacy cert-based was especially restricting for SaaS, we expect faster adoption on SaaS.
    - Improvements - We wanted to release [the CI/CD tunnel](https://gitlab.com/groups/gitlab-org/-/epics/5781) in 14.0, but missed the deadline. It's release is planned for 14.1.
    - Insight - Given our current stand, we will very likely miss our quarterly target. We expected an increase in adoption from the CI tunnel, but development took 2 months longer than expected.
  health:
    level: 2
    reasons: []
  implementation:
    status: Target
    reasons:
      - We want to switch to MAU based metric once adoption picks up a bit
  metric_name: kubernetes_agents
  sisense_data:
    chart: 10915507
    dashboard: 511813
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/511813/Configure-team-business-metrics
  - https://app.periscopedata.com/app/gitlab/656814/Kubernetes-integration

- name: Configure:Configure - AMAU - Unique users running pipelines that have a HashiCorp Vault Variable 
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of unique users that have triggered pipelines with a HashiCorp Vault Variable in the last 28 days.
  target: no target
  org: Ops Section
  section: ops
  stage: configure
  group: configure
  category: secrets_management
  public: true
  product_analytics_type: Both
  pi_type: AMAU
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Blocker - We are short on resources, and I'm currently prioritising other areas that might have only indirect effects on this AMAU.
    - Insight The growth continues to be steady.
  implementation:
    status: Complete
    reasons:
  sisense_data:
    chart: 10914840
    dashboard: 511813
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/511813/Configure-team-business-metrics
  - https://app.periscopedata.com/app/gitlab/788824/Secrets-Management

- name: Configure:Configure - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  lessons:
    learned:
    - 2021-06-19 - 98.98% Availability
    - Insight - We are looking into the reasons of missing the budget. [An identified issue that eats our budget](https://gitlab.com/gitlab-org/gitlab/-/issues/330538) is planned as a stretch item in 14.1.
  health:
    level: 1
    reasons:
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-configure/stage-groups-group-dashboard-configure-configure)
  sisense_data:
    chart: 12191060
    dashboard: 892433
    embed: v2
  sisense_data_secondary:
    chart: 12191062
    dashboard: 892433
    embed: v2

- name: Monitor:Monitor - SMAU, GMAU - Unique users that interact with Alerts and Incidents
  base_path: "/handbook/product/performance-indicators/"
  definition: Unique users that interact with alerts or incidents. (This metric represents the GMAU for the Monitor:Monitor group as well as the SMAU for the Monitor stage. It is based on usage of the Incident Management category which is the only category in the group or stage that is being actively developed. The definition for Monitor SMAU will be seperated from Monitor:Monitor GMAU when we are able to expand the definition to include usage of the other categories. That work is currently not a priority.)
  target: The target for FY22-Q2 is 18,000 estimated total unique users that interact with alerts and incidents. 
  org: Ops Section
  section: ops
  stage: monitor
  group: monitor
  public: true
  product_analytics_type: Both
  pi_type: SMAU, GMAU
  is_primary: true
  is_key: false
  health:
    level: 1
    reasons:
    - 2 months of declining users in SaaS
  implementation:
    status: Complete
    reasons:
    - Instrumentation complete - [issue](https://gitlab.com/gitlab-org/gitlab/-/issues/233933).
  lessons:
    learned:
    - The Monitor SMAU is still largely driven by people creating incidents as an issue types.
    - The infrastructure team is looking to adopt Incendent types in their [incident response process](https://about.gitlab.com/handbook/engineering/infrastructure/incident-management/)
    - To facilitate the dogfooding, we will prioritize [some work](https://gitlab.com/gitlab-org/gitlab/-/issues/333981) for the infra team
    - There are some emerging ideas to drive overall usage, such as [Alerging on CI/CD pipeline event](https://gitlab.com/gitlab-org/gitlab/-/issues/217770) or deeper integration with Slack. The new Monitor PM will determine path forward.
  funnel: https://about.gitlab.com/handbook/engineering/development/ops/monitor/health/#north-star-metric
  urls:
  - https://app.periscopedata.com/app/gitlab/769975/Monitor-Stage-Dashboard
  metric_name: incident_management_total_unique_counts_monthly
  sisense_data:
    chart: 10039330
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980186
    dashboard: 758607
    embed: v2

- name: Monitor:Monitor - Other - Count of projects where incidents are being created
  base_path: "/handbook/product/performance-indicators/"
  definition: Total count of projects that have created incidents
  target: 
  org: Ops Section
  section: ops
  stage: monitor
  group: monitor
  public: true
  product_analytics_type: Both
  pi_type: Other
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Target removed
  implementation:
    status: Complete
    reasons:
    - Instrumentation complete - [issue](https://gitlab.com/gitlab-org/gitlab/-/issues/233719)
  lessons:
    learned:
    - 2021-06-19 Ultimate - 53.6k, Core - 34.5k, Premium - 6,112, Starter - 4,742
    - Updated the chart from a cumulative chart to just a current count of total projects that have had incidents
    - The target no longer make sense. Will choose target in Q3
  metric_name: projects_creating_incidents
  sisense_data:
    chart: 10319216
    dashboard: 769975
    embed: v2

- name: Monitor:Monitor - AMAU - Alerts Active Users
  base_path: "/handbook/product/performance-indicators/"
  definition: Count of users performing an action that involves an alert which includes creating an alert, editing an alert, or interacting with features and actions in the side bar of the alert detail page
  target: TBD
  org: Ops Section
  section: ops
  stage: monitor
  group: monitor
  public: true
  product_analytics_type: Both
  pi_type: AMAU
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - There was a 30% jump in active users, though a relatively small number.
  implementation:
    status: Complete
    reasons:
    - Instrumentation complete - [issue](https://gitlab.com/gitlab-org/gitlab/-/issues/277164).
  lessons:
    learned:
    - The [custom mapping work for HTTP endpoints](https://gitlab.com/groups/gitlab-org/-/epics/4390) is released. Though the fact that we continue to see more users [creating incidents from alerts](https://app.periscopedata.com/app/gitlab/769975/Monitor-Stage-Dashboard?widget=10444749&udv=1176579) did not appear to influence new alert integration.
  metric_name: incident_management_alerts_total_unique_user_counts
  sisense_data:
    chart: 10807546
    dashboard: 769975
    embed: v2
  sisense_data_secondary:
    chart: 10807540
    dashboard: 769975
    embed: V2

- name: Monitor:Monitor - AMAU - Incidents Active Users
  base_path: "/handbook/product/performance-indicators/"
  definition: Count of users performing an action that involves an incident which includes creating an incident, editing an incident, or interacting with features and actions in the side bar of the incident detail page
  target: TBD
  org: Ops Section
  section: ops
  stage: monitor
  group: monitor
  public: true
  product_analytics_type: Both
  pi_type: AMAU
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - The growth appears to be flattening. 
  implementation:
    status: Complete
    reasons:
    - Instrumentation complete - [issue](https://gitlab.com/gitlab-org/gitlab/-/issues/277164).
  lessons:
    learned:
    - Improvements - we are planning improvements to the incident type. Timeline, right hand side features.
  metric_name: incident_management_incidents_total_unique_user_counts
  sisense_data:
    chart: 10807527
    dashboard: 769975
    embed: v2
  sisense_data_secondary:
    chart: 10807463
    dashboard: 769975
    embed: V2

- name: Monitor:Monitor - AMAU - On-call users
  base_path: "/handbook/product/performance-indicators/"
  definition: Count of users who received a notification while on-call
  target: TBD
  org: Ops Section
  section: ops
  stage: monitor
  group: monitor
  public: true
  product_analytics_type: Both
  pi_type: AMAU
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - Just got instrumented.
  implementation:
    status: Complete
    reasons:
    - Instrumentation complete - [issue](https://gitlab.com/gitlab-org/gitlab/-/issues/321295).
  lessons:
    learned:
    - We have an ultimate user receiving a notification!
  metric_name: incident_management_incidents_total_unique_user_counts
  sisense_data:
    chart: 11532299
    dashboard: 769975
    embed: v2

- name:  Monitor:Monitor - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 1
    reasons:
    - 2021-06-19 - 99.92% availability - overbudget
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-monitor/stage-groups-group-dashboard-monitor-monitor)
  sisense_data:
    chart: 12191158
    dashboard: 892457
    embed: v2
  sisense_data_secondary:
    chart: 12191160
    dashboard: 892457
    embed: v2

#- name: Monitor:Monitor - AMAU - Schedule Management Active Users
#  base_path: "/handbook/product/performance-indicators/"
#  definition: Count of users using Schedule Management
#  target: TBD
#  org: Ops Section
#  section: ops
#  stage: monitor
#  group: monitor
#  public: true
#  product_analytics_type: Both
#  pi_type: AMAU
#  is_primary: false
#  is_key: false
#  health:
#    level: 0
#    reasons:
#    - Not yet instrumented    
#  implementation:
#    status: Incomplete
#    reasons:
#    - Have not started instrumentation work
#  lessons:
#    learned:
#  metric_name: N/A
#  sisense_data:
  
